---
schema_version: "1"
id: 25677e0e5030f09100355102ac382c47d301a0c4c62bef773fb349c355957680
title: Catalogs
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/commerce-cloud/commerce-api/references/generated-api-specs/catalogs.md
canonical_url: https://developer.salesforce.com/docs/commerce/commerce-api/references/catalogs
source_site: developer.salesforce.com
content_type: documentation
content_hash: 28770f7e2a1e22485fb031615d3b1cffcaf1dc2b065c44a56130f080ae1c9a75
products:
  - B2C Commerce API
  - Salesforce APIs
---
Catalogs

# Catalogs

[Download API specification](https://developer.salesforce.com/static/commercecloud/commerce-api/catalogs/catalogs-oas-v1-public.yaml)

## API Overview

With the Catalogs API, you can:

*   Create, view, edit, and delete catalogs and categories.
*   Assign and unassign products to categories.
*   Search for a product within a category.
*   Search for categories within a catalog or within a merchandising system.

For more information, see the [Catalogs](https://help.salesforce.com/s/articleView?id=cc.b2c_catalogs.htm&type=5) section in the B2C Commerce documentation.

### Authentication & Authorization

The client managing catalog and category information must have access to the Categories and Catalogs resources. This API requires a bearer token in the header of the request. The client accessing the API must first authenticate against Account Manager to get the bearer token.

You must include the relevant scope(s) in the client ID used to generate the token. For a full list of required permissions, see the [Authorization Scopes Catalog.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/auth-z-scope-catalog.html)

For detailed setup instructions, see the [Authorization for Admin APIs guide.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/authorization-for-admin-apis.html)

### Response Details

#### Timeouts

Admin API requests must respond within 60 seconds. If a response exceeds this threshold, an HTTP 504 status code is returned. For details, see [Timeouts and Limits.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/timeouts-limits.html)

#### Error Handling

Error responses follow the [RFC 7807](https://datatracker.ietf.org/doc/html/rfc7807) problem detail format. To trace errors, include a `correlation-id` header in your request — the response returns it as `x-correlation-id`. For details, see [HTTP Status Codes and Errors.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/error-response-codes.html)

### Use Cases

Here are some common use cases for the API:

#### Categorize Products

Use the Catalogs API to assign products to categories so that shoppers can find all products that are merchandized in that category.

![b2c-commerce-catalogs-screenshot-1.png](https://resources.docs.salesforce.com/rel1/doc/en-us/static/misc/b2c-commerce-catalogs-screenshot-1.png)

#### Validate Product Category Assignments

Use the Catalogs API to search for products assigned to a category within a site catalog to validate whether a product is merchandized and ready to be sold in one or more ecommerce channels. You can also update a product to make sure it meets the readiness criteria for each channel.

![b2c-commerce-catalogs-screenshot-2.png](https://resources.docs.salesforce.com/rel1/doc/en-us/static/misc/b2c-commerce-catalogs-screenshot-2.png)

#### Edit Categories

Use the Catalogs API to edit categories assigned to a catalog to change the navigation path, make a category online or offline, change position of a category relative to other categories within a catalog.

![b2c-commerce-catalogs-screenshot-3.png](https://resources.docs.salesforce.com/rel1/doc/en-us/static/misc/b2c-commerce-catalogs-screenshot-3.png)

### Resources

A Salesforce B2C Commerce storefront implementation uses a Catalog, Category, and Product architecture to organize your storefront. Product data is stored in a catalog, and the stored product data is organized by categories. You can create any number of catalog, category, and product scenarios to address your business needs.

#### Catalogs

A catalog is a collection of categories, products, and images. It’s best practice to create two catalogs: the master catalog and the storefront catalog. The master catalog provides the same structure as an external system of record for your products. The storefront catalog is where you create categories that appear on your storefront.

#### Categories

You create and organize categories and subcategories to organize and group products in your catalog and on your storefront. Categories allow Products to be organized into hierarchical structures. Categories can have relationships to other parent categories. Each category also can provide a context that is inherited by subcategories, for example a category may have an attribute value assigned to it and any product assigned to the category or a subcategory would inherit the attribute value as long as the product is assigned. Once the product is removed from the category those attribute values would no longer be in the context of the product.

#### Products

Products are the items and services for sale on the storefront. All of your product data is stored in your master catalog. For a product or service to show on your storefront, it must be assigned to a category.

### Related APIs

*   [Products (Admin)](https://developer.salesforce.com/docs/commerce/commerce-api/references/products?meta=Summary) — Manage products within catalogs.

**Version:** 1.0.47

## Servers

*   `https://{shortCode}.api.commercecloud.salesforce.com/product/catalogs/v1`
    *   `shortCode (default shortCode) An eight-character string assigned to a realm for routing purposes. See [Base URL and Request Formation.](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html)`

## Security

*   `AmOAuth2` (oauth2) AccountManager OAuth 2.0 bearer token Authentication.
    *   OAuth flow clientCredentials (tokenUrl: https://account.demandware.com/dwsso/oauth2/access\_token)
    *   Scope sfcc.catalogs: catalogs scope READONLY
    *   Scope sfcc.catalogs.rw: catalogs scope
    *   OAuth flow authorizationCode (authorizationUrl: https://account.demandware.com/dwsso/oauth2/authorize, tokenUrl: https://account.demandware.com/dwsso/oauth2/access\_token, refreshUrl: https://account.demandware.com/dwsso/oauth2/access\_token)

## Operations

### GET Retrieve a list of catalog IDs.

`GET /organizations/{organizationId}/catalogs`

Operation ID: `getCatalogs`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Get the list of catalog IDs with no filtering.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `limit` (query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 50 (maximum). Defaults to 25.  
    Default: `25`. Minimum: 1. Maximum: 50.
*   `offset` (query, integer (int32)) Used to retrieve the results based on a particular resource offset.  
    Default: `0`. Minimum: 0.

#### Responses

*   **200** Catalogs retrieved successfully.
    
    Media type: `application/json`. Schema: `Catalogs`.
    
    _Example: Catalogs_
    
    ```
    {
      "limit": 2,
      "data": [
        {
          "id": "apparel-catalog"
        },
        {
          "id": "electronics-catalog"
        }
      ],
      "offset": 0,
      "total": 2
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: getCategoryFromCatalog400_
    
    ```
    {
      "title": "Bad Request",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-query-parameter",
      "detail": "offset-BAD-REQUEST parameters are not defined in RAML."
    }
    ```
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: getCatalog401_
    
    ```
    {
      "title": "Invalid Access Token",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-access-token",
      "detail": "The request is unauthorized, the access token is invalid.",
      "accessToken": "iI6IjEiLCJhbGciOiJIUzI1NiIsInR5cCI6Ik"
    }
    ```
    

### GET Retrieve details of a specific catalog.

`GET /organizations/{organizationId}/catalogs/{catalogId}`

Operation ID: `getCatalog`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Gets the catalog with the specified information.

#### Parameters

*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Catalog retrieved successfully.
    
    Media type: `application/json`. Schema: `Catalog`.
    
    _Example: Catalog_
    
    ```
    {
      "categoryCount": 30,
      "creationDate": "2019-02-21T22:09:39.000Z",
      "id": "apparel-catalog",
      "lastModified": "2019-02-21T22:09:39.000Z",
      "name": {
        "default": "Apparel Master Catalog"
      },
      "online": true,
      "recommendationCount": 0,
      "rootCategory": "root"
    }
    ```
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: getCatalog404_
    
    ```
    {
      "title": "Catalog Not Found",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/catalog-not-found",
      "detail": "No catalog with ID '095c2082-5f2a-47d5-bc73-27d06c5c9db8' could be found.",
      "catalogId": "095c2082-5f2a-47d5-bc73-27d06c5c9db8"
    }
    ```
    

### PATCH Update details of a specific catalog.

`PATCH /organizations/{organizationId}/catalogs/{catalogId}`

Operation ID: `updateCatalog`. Security: AmOAuth2 (sfcc.catalogs.rw).

Update the catalog with the specified information.

#### Parameters

*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `Catalog`.

_Example: CatalogBody_

```
{
  "id": "apparel-catalog",
  "online": true
}
```

#### Responses

*   **200** Catalog updated successfully.
    
    Media type: `application/json`. Schema: `Catalog`.
    
    _Example Catalog: same as GET /organizations/{organizationId}/catalogs/{catalogId} 200 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### GET Retrieve all categories within a catalog.

`GET /organizations/{organizationId}/catalogs/{catalogId}/categories`

Operation ID: `getCategoriesFromCatalog`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Get all categories with no filtering.

#### Parameters

*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `limit` (query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 50 (maximum). Defaults to 25.  
    Default: `25`. Minimum: 1. Maximum: 50.
*   `offset` (query, integer (int32)) Used to retrieve the results based on a particular resource offset.  
    Default: `0`. Minimum: 0.

#### Responses

*   **200** Categories retrieved successfully.
    
    Media type: `application/json`. Schema: `Categories`.
    
    _Example: Catalog_
    
    ```
    {
      "limit": 3,
      "data": [
        {
          "id": "kids-wear"
        },
        {
          "id": "mens"
        },
        {
          "id": "mens-accessories-luggage"
        }
      ],
      "offset": 0,
      "total": 3
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### GET Retrieve details of a specific category within a catalog.

`GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}`

Operation ID: `getCategoryFromCatalog`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

By default, the server returns the first level of sub-categories, but you can specify another level by setting the levels parameter. Using a large value for levels can cause performance issues with large and deep category trees.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `levels` (query, integer (int32)) The level number.  
    Minimum: 0. Example: `1`.

#### Responses

*   **200** Category retrieved successfully.
    
    Media type: `application/json`. Schema: `Category`.
    
    _Example: CategoryExample_
    
    ```
    {
      "catalogId": "apparel-catalog",
      "categories": [
        {
          "catalogId": "apparel-catalog",
          "creationDate": "2019-02-21T22:09:40.000Z",
          "id": "mens-accessories",
          "lastModified": "2019-02-21T22:10:14.000Z",
          "name": {
            "default": "Accessories"
          },
          "online": true,
          "parentCategoryId": "mens"
        },
        {
          "catalogId": "apparel-catalog",
          "creationDate": "2019-02-21T22:09:40.000Z",
          "id": "mens-clothing",
          "lastModified": "2019-02-21T22:10:15.000Z",
          "name": {
            "default": "Clothing"
          },
          "online": true,
          "parentCategoryId": "mens"
        }
      ],
      "creationDate": "2019-02-21T22:09:40.000Z",
      "id": "mens",
      "lastModified": "2019-09-04T15:07:14.000Z",
      "online": true,
      "parentCategoryId": "root",
      "position": 2
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### PUT Create or update a category within a catalog.

`PUT /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}`

Operation ID: `createCategoryInCatalog`. Security: AmOAuth2 (sfcc.catalogs.rw).

Create a catalog category using the information provided.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `Category`.

_Example: CategoryBody_

```
{
  "catalogId": "apparel-catalog",
  "id": "mens",
  "online": true
}
```

#### Responses

*   **200** Category updated successfully.
    
    Media type: `application/json`. Schema: `Category`.
    
    _Example: SingleCategory_
    
    ```
    {
      "catalogId": "apparel-catalog",
      "creationDate": "2019-02-21T22:09:40.000Z",
      "id": "mens",
      "lastModified": "2019-09-04T15:07:14.000Z",
      "online": true,
      "parentCategoryId": "root",
      "position": 2
    }
    ```
    
*   **201** Category created successfully.
    
    Media type: `application/json`. Schema: `Category`.
    
    _Example SingleCategory: same as PUT /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId} 200 response._
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### DELETE Delete a specific category from a catalog.

`DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}`

Operation ID: `deleteCategoryFromCatalog`. Security: AmOAuth2 (sfcc.catalogs.rw).

Delete a category by catalog ID and category ID.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** Category deleted successfully.
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### PATCH Update a specific category within a catalog.

`PATCH /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}`

Operation ID: `updateCategoryInCatalog`. Security: AmOAuth2 (sfcc.catalogs.rw).

Update a catalog category using the information provided.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `Category`.

_Example: CategoryBody_

```
{
  "catalogId": "apparel-catalog",
  "id": "mens",
  "online": true
}
```

#### Responses

*   **200** Category updated successfully.
    
    Media type: `application/json`. Schema: `Category`.
    
    _Example SingleCategory: same as PUT /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId} 200 response._
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### POST Search for category product assignments.

`POST /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/category-product-assignment-search`

Operation ID: `searchProductsAssignedToCategory`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

The query attribute specifies a complex query that can be used to narrow down the search.

Searchable attributes:

| Attribute | Type |
| --- | --- |
| productId | String |
| productName | String |
| onlineFlag | Boolean |
| searchable | Boolean |
| validFrom | DateTime |
| validTo | DateTime |
| creationDate | DateTime |

Sortable Fields:

| Attribute | Type |
| --- | --- |
| productId | String |
| productName | String |
| position | Double |
| creationDate | DateTime |

Expansions that can be applied for the search request:

*   product\_base - String

The product\_base expand enables retrieval of the following basic product information:

| Attribute | Type | Function |
| --- | --- | --- |
| none | String | Does not fetch any expanded information. |
| product\_images | String | Fetch preview image and image groups specified for the given product. |
| product\_all\_images | String | Fetch preview image, image groups specified for the product, and variant and variation group images. |
| product\_variations | String | Fetch variations-related information. |
| product\_availability | String | Fetch availability-related information. |
| product\_categories | String | Fetch category-related information. |
| product\_prices | String | Fetch price-related information. |
| product\_options | String | Fetch options-related information. |
| product\_all | String | Fetch all expanded information. This is the default used when no expand value is included in the request. |

Note: productAll includes the following:

*   brand
*   ean
*   link
*   longDescription
*   manufacturerName
*   manufacturerSku
*   name
*   pageDescription
*   pageKeywords
*   pageTitle
*   searchable
*   shortDescription
*   type
*   unit
*   upc

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `siteId` (query, SiteId) The site context.

#### Request body (required)

Media type: `application/json`. Schema: `CategoryProductAssignmentSearchRequest`.

_Example: ProductAssignmentBody_

```
{
  "query": {
    "termQuery": {
      "fields": [
        "product_id"
      ],
      "operator": "is",
      "values": [
        "NTOSimpleBundle"
      ]
    }
  },
  "expand": [
    "product_categories",
    "product_images"
  ]
}
```

#### Responses

*   **200** Assignments searched successfully.
    
    Media type: `application/json`. Schema: `CategoryProductAssignmentSearchResult`.
    
    _Example: CategoryProductAssignment_
    
    ```
    {
      "hits": [
        {
          "catalogId": "NTOCatalog",
          "categoryId": "NTOFirstClassCategory",
          "creationDate": "2024-05-27T10:11:48.000Z",
          "lastModified": "2024-05-27T10:11:48.000Z",
          "owningCatalogName": {
            "default": "NTO Product Image Catalog"
          },
          "product": {
            "assignedCategories": [
              {
                "catalogId": "NTOCatalog",
                "categoryId": "NTOFirstClassCategory"
              }
            ],
            "brand": "Wapi brand",
            "creationDate": "2024-05-27T10:11:45.000Z",
            "id": "NTOSimpleBundle",
            "image": {
              "absUrl": "https://www.yoursecureimageserver.com/foo/bar/bundle_image_detail.jpg",
              "alt": {
                "default": "ALT bundle image detail"
              },
              "path": "bundle_image_detail.jpg",
              "title": {
                "default": "TITLE bundle image detail"
              }
            },
            "onlineFlag": {
              "default": true
            },
            "searchable": {
              "default": true
            }
          },
          "productId": "NTOSimpleBundle",
          "productName": {
            "default": "Simple Web API Bundle"
          }
        }
      ],
      "query": {
        "termQuery": {
          "fields": [
            "product_id"
          ],
          "operator": "is",
          "values": [
            "NTOSimpleBundle"
          ]
        }
      },
      "limit": 1,
      "offset": 0,
      "total": 1
    }
    ```
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### GET Retrieve a category product assignment.

`GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/products/{productId}`

Operation ID: `getAssignedProductFromCategory`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Retrieve a category product assignment.

For example, if we have products A, B, C at positions 1, 2, 7.5, and we delete the assignment for product B, the result is products A, B, C at positions 1, null, 7.5.

#### Parameters

*   `productId` (path, ProductId, required) The ID (SKU) of the requested product to assign.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Assignment retrieved successfully.
    
    Media type: `application/json`. Schema: `CategoryProductAssignment`.
    
    _Example: CatalogCategoryPrdAssignmentExample_
    
    ```
    {
      "catalogId": "apparel-catalog",
      "categoryId": "kids-wear",
      "owningCatalogName": {
        "default": "Electronics Master Catalog"
      },
      "position": 1,
      "productId": "apple-ipod-shuffle",
      "productName": {
        "default": "Apple iPod Shuffle"
      }
    }
    ```
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### PUT Create a category product assignment.

`PUT /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/products/{productId}`

Operation ID: `assignProductToCategory`. Security: AmOAuth2 (sfcc.catalogs.rw).

Create a category product assignment using the information provided.

Because the assigned position n is a normalized target position, we verify that the product is assigned to a position that maintains the position order.

For example, if we have products A, B, C at positions 1, 2, 3, and product D is assigned to position 2, the end result is products A, D, B, C with position order 1, 2, 3, 4.

If there are n existing position assignments, assigning a new product to position >= n+1 results in a new assignment with position n+1.

#### Parameters

*   `productId` (path, ProductId, required) The ID (SKU) of the requested product to assign.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `CategoryProductAssignment`.

_Example: CatalogCategoryProdAssignmentBody_

```
{
  "catalogId": "apparel-catalog",
  "categoryId": "kids-wear",
  "productId": "apple-ipod-shuffle",
  "position": 1
}
```

#### Responses

*   **200** Assignment updated successfully.
    
    Media type: `application/json`. Schema: `CategoryProductAssignment`.
    
    _Example CatalogCategoryPrdAssignmentExample: same as GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/products/{productId} 200 response._
    
*   **201** Assignment created successfully.
    
    Media type: `application/json`. Schema: `CategoryProductAssignment`.
    
    _Example CatalogCategoryPrdAssignmentExample: same as GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/products/{productId} 200 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### DELETE Remove a category product assignment.

`DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/products/{productId}`

Operation ID: `unassignProductFromCategory`. Security: AmOAuth2 (sfcc.catalogs.rw).

Remove a category product assignment.

For example, if we have products A, B, C at positions 1, 2, 7.5, and we delete the assignment for product B, the result is products A, B, C at positions 1, null, 7.5.

#### Parameters

*   `productId` (path, ProductId, required) The ID (SKU) of the requested product to assign.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** Assignment deleted successfully.
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### PATCH Update a category product assignment.

`PATCH /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/products/{productId}`

Operation ID: `updateProductCategoryAssignment`. Security: AmOAuth2 (sfcc.catalogs.rw).

Update the category product assignment with the specified information, such as position. Because the assigned position n is a normalized target position, we verify that the product is assigned to a position that maintains position order.

For example, if we have products A, B, C, D at positions 1, 2, 3, 4 and we update product A with a new position of 3, the end result is products B, C, A, D with position order 1, 2, 3, 4. If we then update product C to no position, the end result is products B, A, D, C with position order 1, 2, 3, null.

If there are n existing positioned assignments, updating a product to position >= n results in a new assignment with a position that maintains the position order.

#### Parameters

*   `productId` (path, ProductId, required) The ID (SKU) of the requested product to assign.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `CategoryProductAssignment`.

_Example: CatalogCategoryProdAssignmentBody_

```
{
  "catalogId": "apparel-catalog",
  "categoryId": "kids-wear",
  "productId": "apple-ipod-shuffle",
  "position": 1
}
```

#### Responses

*   **200** Assignment updated successfully.
    
    Media type: `application/json`. Schema: `CategoryProductAssignment`.
    
    _Example CatalogCategoryPrdAssignmentExample: same as GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/products/{productId} 200 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### GET Get the status of the latest categorization job.

`GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules-execution`

Operation ID: `getCategorizationStatus`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Get the status of the latest categorization job, which could be evaluation or execution. For evaluation, the matched count and a paginated list of product IDs are returned. For execution, the counts of the products that are assigned or unassigned are returned.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `limit` (query, Limit) Maximum records to retrieve per request, not to exceed the maximum defined. A limit must be at least 1 so at least one record is returned (if any match the criteria).
    
    _Example: limit_
    
    ```
    25
    ```
    
*   `offset` (query, Offset) The zero-based index of the first hit/data to include in the result.
    
    _Example: offset_
    
    ```
    25
    ```
    

#### Responses

*   **200** Job executed status returned successfully.
    
    Media type: `application/json`. Schema: `ExecutionJobStatusResult`.
    
    _Example: ExecutionJobStatusResponse_
    
    ```
    {
      "type": "evaluation",
      "assignedCount": 1,
      "unassignedCount": 0,
      "matchedCount": 1,
      "jobStatus": "success",
      "message": "Job execution success.",
      "lastRunDate": "2019-02-21T22:09:40.000Z",
      "productIds": [
        "25772719"
      ],
      "limit": 10,
      "offset": 0
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Resource requested not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: getCategorizationStatus404_
    
    ```
    {
      "title": "JobExecution Not Found",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/job-execition-not-found",
      "detail": "No JobExecution could be found for given catalog, category",
      "catalogId": "apparel-catalog",
      "category": "Mens"
    }
    ```
    

### POST Submit a job to evaluate or execute the rules.

`POST /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules-execution`

Operation ID: `runCategoryRules`. Security: AmOAuth2 (sfcc.catalogs.rw).

Submit a job to evaluate or execute the rules. The evaluation returns a set of matching products based on the rules and conditions. The execution categorizes the products based on the evaluated results.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `ExecutionRequest`.

_Example: ExecutionRequestBody_

```
{
  "evaluation": true
}
```

#### Responses

*   **202** Job submitted successfully.
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### GET Get the list of excluded products.

`GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/excluded-products`

Operation ID: `getExclusionList`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Get the list of excluded products for a given catalog and category.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Excluded products retrieved successfully.
    
    Media type: `application/json`. Schema: `ExcludedProductsResult`.
    
    _Example: GetExcludedProducts_
    
    ```
    {
      "limit": 2,
      "data": [
        {
          "productId": "red-shirt"
        },
        {
          "productId": "blue-shirt"
        }
      ],
      "total": 2
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### POST Add products to the exclusion list.

`POST /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/excluded-products`

Operation ID: `addProductsToExclusionList`. Security: AmOAuth2 (sfcc.catalogs.rw).

Add the product to the excluded product list for a given catalog and category. After a product is added as an excluded product for the category, the categorization process no longer categorizes that product for that category.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `ExcludedProductRequest`.

_Example: ExcludedProductsRequestBody_

```
{
  "data": [
    {
      "productId": "red-shirt"
    },
    {
      "productId": "blue-shirt"
    }
  ]
}
```

#### Responses

*   **200** Excluded products list added for a catalog category.
    
    Media type: `application/json`. Schema: `ExcludedProductsResult`.
    
    _Example: GetExcludedProducts_
    
    ```
    {
      "limit": 2,
      "data": [
        {
          "productId": "red-shirt"
        },
        {
          "productId": "blue-shirt"
        }
      ],
      "total": 2
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### DELETE Remove products from the exclusion list.

`DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/excluded-products`

Operation ID: `removeProductsFromExclusionList`. Security: AmOAuth2 (sfcc.catalogs.rw).

Delete products from the excluded products list for a catalog category.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `ExcludedProductRequest`.

_Example: ExcludedProductsRequestBody_

```
{
  "data": [
    {
      "productId": "red-shirt"
    },
    {
      "productId": "blue-shirt"
    }
  ]
}
```

#### Responses

*   **204** No content.
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Resource requested not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example: getRuleById404_
    
    ```
    {
      "title": "Rule Not Found",
      "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/rule-not-found",
      "detail": "No Rule with ID 'VHRULE' could be found.",
      "ruleId": "VHRULE"
    }
    ```
    

### GET Retrieve all rules for a catalog and category.

`GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules`

Operation ID: `getCategoryRules`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Get all rules for the given catalog and category.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Rules retrieved successfully
    
    Media type: `application/json`. Schema: `RulesResult`.
    
    _Example: GetRules_
    
    ```
    {
      "limit": 2,
      "data": [
        {
          "id": "VHRule",
          "enabled": true,
          "exclusion": false,
          "categorizationLocaleId": "en-US",
          "categorizationClassificationFlag": true,
          "categorizationPrimaryFlag": true,
          "conditions": [
            {
              "id": "NameCondition",
              "attributeKey": "name",
              "attributeValue": [
                "Shirt"
              ],
              "attributeName": "name",
              "operator": "starts_with"
            },
            {
              "id": "BrandCondition",
              "attributeKey": "brand",
              "attributeValue": [
                "Van Heusen"
              ],
              "attributeName": "brand",
              "operator": "equals"
            }
          ]
        },
        {
          "id": "DXRule",
          "enabled": true,
          "exclusion": false,
          "categorizationLocaleId": "en-US",
          "categorizationClassificationFlag": true,
          "categorizationPrimaryFlag": true,
          "conditions": [
            {
              "id": "NameCondition",
              "attributeKey": "name",
              "attributeValue": [
                "Shirt"
              ],
              "attributeName": "name",
              "operator": "starts_with"
            },
            {
              "id": "BrandCondition",
              "attributeKey": "brand",
              "attributeValue": [
                "DX"
              ],
              "attributeName": "brand",
              "operator": "equals"
            }
          ]
        }
      ],
      "total": 2
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### POST Create rules and conditions for a catalog and category.

`POST /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules`

Operation ID: `createCategoryRules`. Security: AmOAuth2 (sfcc.catalogs.rw).

Create all rules and conditions within the catalog and category. This deletes any existing rules and conditions for that catalog and category combination, and recreates them based on the new request. The LocaleID, PrimaryFlag, and ClassificationFlag can be set on any of the individual rules, but they apply to the entire ruleset. For simplicity, those values can be provided with one of the rules. If they are provided with multiple rules, then they must all have the same value for all rules or it could produce undesired effects.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `RulesRequest`.

_Example: PostRuleRequestBody_

```
{
  "data": [
    {
      "id": "VHRule",
      "enabled": true,
      "exclusion": false,
      "categorizationLocaleId": "en-US",
      "categorizationClassificationFlag": true,
      "categorizationPrimaryFlag": true,
      "conditions": [
        {
          "id": "NameCondition",
          "attributeKey": "name",
          "attributeValue": [
            "Shirt"
          ],
          "operator": "starts_with"
        },
        {
          "id": "BrandCondition",
          "attributeKey": "brand",
          "attributeValue": [
            "Van Heusen"
          ],
          "operator": "equals"
        }
      ]
    },
    {
      "id": "DXRule",
      "enabled": true,
      "exclusion": false,
      "categorizationLocaleId": "en-US",
      "categorizationClassificationFlag": true,
      "categorizationPrimaryFlag": true,
      "conditions": [
        {
          "id": "NameCondition",
          "attributeKey": "name",
          "attributeValue": [
            "Shirt"
          ],
          "operator": "starts_with"
        },
        {
          "id": "BrandCondition",
          "attributeKey": "brand",
          "attributeValue": [
            "DX"
          ],
          "operator": "equals"
        }
      ]
    }
  ]
}
```

#### Responses

*   **200** Rules created successfully.
    
    Media type: `application/json`. Schema: `RulesResult`.
    
    _Example GetRules: same as GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules 200 response._
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### DELETE Delete all rules and conditions for a catalog and category.

`DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules`

Operation ID: `deleteCategoryRules`. Security: AmOAuth2 (sfcc.catalogs.rw).

Delete all rules and conditions for the given catalog and category.

#### Parameters

*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** No content.
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Resource requested not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getRuleById404: same as DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/excluded-products 404 response._
    

### GET Retrieve a rule by ID.

`GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules/{ruleId}`

Operation ID: `getRuleById`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Get a rule by ID.

#### Parameters

*   `ruleId` (path, string, required) The unique identifier of the rule.  
    Maximum length: 256. Example: `VHRule`.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Rule retrieved successfully
    
    Media type: `application/json`. Schema: `Rule`.
    
    _Example: GetRulesByID_
    
    ```
    {
      "id": "VHRule",
      "enabled": true,
      "exclusion": false,
      "categorizationLocaleId": "en-US",
      "categorizationClassificationFlag": true,
      "categorizationPrimaryFlag": true,
      "conditions": [
        {
          "id": "NameCondition",
          "attributeKey": "name",
          "attributeValue": [
            "Shirt"
          ],
          "attributeName": "name",
          "operator": "starts_with"
        },
        {
          "id": "BrandCondition",
          "attributeKey": "brand",
          "attributeName": "brand",
          "attributeValue": [
            "Van Heusen"
          ],
          "operator": "equals"
        }
      ]
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Resource requested not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getRuleById404: same as DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/excluded-products 404 response._
    

### PUT Create or update a rule.

`PUT /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules/{ruleId}`

Operation ID: `createUpdateRule`. Security: AmOAuth2 (sfcc.catalogs.rw).

Create or update a rule.

#### Parameters

*   `ruleId` (path, string, required) The unique identifier of the rule.  
    Maximum length: 256. Example: `VHRule`.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `RuleRequest`.

_Example: PutRuleRequestBody_

```
{
  "id": "VHRule",
  "enabled": true,
  "exclusion": false
}
```

#### Responses

*   **200** Rule updated successfully.
    
    Media type: `application/json`. Schema: `Rule`.
    
    _Example: PutRuleRequestBody_
    
    ```
    {
      "id": "VHRule",
      "enabled": true,
      "exclusion": false
    }
    ```
    
*   **201** Rule created successfully.
    
    Media type: `application/json`. Schema: `Rule`.
    
    _Example: PutRuleRequestBody_
    
    ```
    {
      "id": "VHRule",
      "enabled": true,
      "exclusion": false
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### DELETE Delete a rule.

`DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules/{ruleId}`

Operation ID: `deleteRule`. Security: AmOAuth2 (sfcc.catalogs.rw).

Delete a rule.

#### Parameters

*   `ruleId` (path, string, required) The unique identifier of the rule.  
    Maximum length: 256. Example: `VHRule`.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** No content.
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Resource requested not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getRuleById404: same as DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/excluded-products 404 response._
    

### GET Retrieve conditions for a rule.

`GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules/{ruleId}/conditions`

Operation ID: `getCategoryRuleConditions`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Get the conditions for a given rule, catalog and category.

#### Parameters

*   `ruleId` (path, string, required) The unique identifier of the rule.  
    Maximum length: 256. Example: `VHRule`.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Conditions retrieved successfully.
    
    Media type: `application/json`. Schema: `ConditionsResult`.
    
    _Example: GetConditions_
    
    ```
    {
      "limit": 2,
      "conditions": [
        {
          "id": "NameCondition",
          "attributeKey": "name",
          "attributeValue": [
            "Shirt"
          ],
          "attributeName": "name",
          "operator": "starts_with"
        },
        {
          "id": "BrandCondition",
          "attributeKey": "brand",
          "attributeValue": [
            "Van Heusen"
          ],
          "attributeName": "brand",
          "operator": "equals"
        }
      ],
      "total": 2
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### DELETE Delete all conditions for a rule.

`DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules/{ruleId}/conditions`

Operation ID: `deleteCategoryRuleConditions`. Security: AmOAuth2 (sfcc.catalogs.rw).

Deletes all conditions for a given rule, catalog, and category.

#### Parameters

*   `ruleId` (path, string, required) The unique identifier of the rule.  
    Maximum length: 256. Example: `VHRule`.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** No content.
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Resource requested not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getRuleById404: same as DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/excluded-products 404 response._
    

### GET Retrieve a condition by ID.

`GET /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules/{ruleId}/conditions/{conditionId}`

Operation ID: `getCategoryRuleCondition`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Get a condition by ID.

#### Parameters

*   `conditionId` (path, string, required) The Id of the condition.  
    Maximum length: 256. Example: `NameCondition`.
*   `ruleId` (path, string, required) The unique identifier of the rule.  
    Maximum length: 256. Example: `VHRule`.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **200** Condition retrieved successfully.
    
    Media type: `application/json`. Schema: `Condition`.
    
    _Example: GetConditionByID_
    
    ```
    {
      "id": "NameCondition",
      "attributeKey": "name",
      "attributeValue": [
        "Shirt"
      ],
      "attributeName": "name",
      "operator": "starts_with"
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### PUT Create or update a condition.

`PUT /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules/{ruleId}/conditions/{conditionId}`

Operation ID: `createOrUpdateCategoryRuleCondition`. Security: AmOAuth2 (sfcc.catalogs.rw).

Create or update a condition.

#### Parameters

*   `conditionId` (path, string, required) The Id of the condition.  
    Maximum length: 256. Example: `NameCondition`.
*   `ruleId` (path, string, required) The unique identifier of the rule.  
    Maximum length: 256. Example: `VHRule`.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `Condition`.

_Example: PutConditionRequestBody_

```
{
  "id": "NameCondition",
  "attributeKey": "brand",
  "attributeValue": [
    "Van Heusen"
  ],
  "operator": "equals"
}
```

#### Responses

*   **200** Condition updated successfully.
    
    Media type: `application/json`. Schema: `Condition`.
    
    _Example: GetConditionByID_
    
    ```
    {
      "id": "NameCondition",
      "attributeKey": "name",
      "attributeValue": [
        "Shirt"
      ],
      "attributeName": "name",
      "operator": "starts_with"
    }
    ```
    
*   **201** Condition created successfully.
    
    Media type: `application/json`. Schema: `Condition`.
    
    _Example: GetConditionByID_
    
    ```
    {
      "id": "NameCondition",
      "attributeKey": "name",
      "attributeValue": [
        "Shirt"
      ],
      "attributeName": "name",
      "operator": "starts_with"
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### DELETE Delete a condition.

`DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/rules/{ruleId}/conditions/{conditionId}`

Operation ID: `deleteCategoryRuleCondition`. Security: AmOAuth2 (sfcc.catalogs.rw).

Delete a condition.

#### Parameters

*   `conditionId` (path, string, required) The Id of the condition.  
    Maximum length: 256. Example: `NameCondition`.
*   `ruleId` (path, string, required) The unique identifier of the rule.  
    Maximum length: 256. Example: `VHRule`.
*   `categoryId` (path, CategoryId, required) The ID of the category to be created.
*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Responses

*   **204** No content.
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Resource requested not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getRuleById404: same as DELETE /organizations/{organizationId}/catalogs/{catalogId}/categories/{categoryId}/excluded-products 404 response._
    

### POST Search for catalog categories.

`POST /organizations/{organizationId}/catalogs/{catalogId}/category-search`

Operation ID: `searchCategoriesInCatalog`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Search for catalog categories in the scope of a catalog. By default, the server returns the first level of subcategories, but you can specify another level by setting the levels parameter. Subcategories are sorted by category position, then by categoryId. Using a large value for levels can cause performance issues with large and deep category trees.

The query attribute specifies a complex query that can be used to narrow down the search with the following searchable attributes:

| Attribute | Type |
| --- | --- |
| id | String |
| name | String |
| description | String |
| creationDate | DateTime |
| online | Boolean |
| parentCategoryId | String |

The output of the query can also be sorted with the following sortable attributes:

| Attribute | Type |
| --- | --- |
| id | String |
| name | String |
| description | String |
| creationDate | DateTime |
| online | Boolean |
| position | Double |

If no sorting clause is provided, categories are sorted by categoryId. If sorting clause(s) are provided, categoryId is used as a tiebreaker.

#### Parameters

*   `catalogId` (path, CatalogId, required) The ID of the requested catalog.
*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `levels` (query, integer (int32)) The level number.  
    Minimum: 0. Example: `1`.

#### Request body (required)

Media type: `application/json`. Schema: `CatalogCategorySearchRequest`.

_Example: CatalogSearchBody_

```
{
  "start": 0,
  "count": 50,
  "query": {
    "boolQuery": {
      "should": [
        {
          "textQuery": {
            "searchPhrase": "Luggage",
            "fields": [
              "name"
            ]
          }
        }
      ]
    }
  }
}
```

#### Responses

*   **200** Categories searched successfully.
    
    Media type: `application/json`. Schema: `CategorySearchResult`.
    
    _Example: CategorySearchResultExample_
    
    ```
    {
      "limit": 1,
      "hits": [
        {
          "catalogId": "storefront-catalog-en",
          "creationDate": "2019-02-21T22:10:04.000Z",
          "id": "electronics-accessories",
          "lastModified": "2019-02-21T22:10:49.000Z",
          "name": {
            "default": "Accessories"
          },
          "online": false,
          "pageTitle": {
            "default": "Electronics Accessories"
          },
          "parentCategoryId": "electronics",
          "position": 14
        }
      ],
      "query": {
        "termQuery": {
          "fields": [
            "online"
          ],
          "operator": "is",
          "values": [
            "false"
          ]
        }
      },
      "offset": 0,
      "total": 1
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### POST Search for catalogs.

`POST /organizations/{organizationId}/catalog-search`

Operation ID: `searchCatalogs`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Search for catalogs.

The query attribute specifies a complex query that can be used to narrow down the search with the following searchable attributes:

| Attribute | Type |
| --- | --- |
| id | String |
| name | String |
| description | String |
| creationDate | DateTime |

There are two additional fields that can be used as search filters. They are not attributes in the CatalogWO object, but they can be used as filters to query catalogs based on site assignments.

| Attribute | Type |
| --- | --- |
| isMasterCatalog | Boolean |
| isStorefrontCatalog | Boolean |
| description | String |
| creationDate | DateTime |
| online | Boolean |
| position | Double |

When you use isMasterCatalog in the search query, catalogs without any site assignments are returned. When you use isStorefrontCatalog in the search query, catalogs with one or more site assignments are returned.

The output of the query can also be sorted with the following sortable attributes:

| Attribute | Type |
| --- | --- |
| id | String |
| name | String |
| description | String |
| creationDate | DateTime |

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    

#### Request body (required)

Media type: `application/json`. Schema: `CatalogSearchRequest`.

_Example: CatalogSearchBodyQuery_

```
{
  "query": {
    "termQuery": {
      "fields": [
        "is_storefront_catalog"
      ],
      "operator": "is",
      "values": [
        "true"
      ]
    }
  }
}
```

#### Responses

*   **200** Catalogs searched successfully.
    
    Media type: `application/json`. Schema: `CatalogSearchResult`.
    
    _Example: CatalogSearchResultQuery_
    
    ```
    {
      "limit": 3,
      "hits": [
        {
          "assignedSites": [
            {
              "cartridges": "sitegenesis_storefront_pipelines:sitegenesis_storefront_core:plugin_apple_pay:plugin_facebook:plugin_pinterest_commerce:plugin_web_payments:bc_content:core",
              "customerListLink": {
                "customerListId": "Site_1"
              },
              "displayName": {
                "default": "Site Site_1"
              },
              "id": "Site_1",
              "inDeletion": false,
              "storefrontStatus": "online"
            }
          ],
          "categoryCount": 53,
          "creationDate": "2019-02-22T00:11:14.000Z",
          "id": "NavigationCatalog_9430935",
          "lastModified": "2019-02-22T00:11:14.000Z",
          "name": {
            "default": "Root Category"
          },
          "online": true,
          "recommendationCount": 0,
          "rootCategory": "root"
        },
        {
          "assignedSites": [
            {
              "cartridges": "sitegenesis_storefront_controllers:sitegenesis_storefront_core:plugin_apple_pay:plugin_facebook:plugin_pinterest_commerce:plugin_web_payments:bc_content:core",
              "customerListLink": {
                "customerListId": "SiteGenesis"
              },
              "displayName": {
                "default": "SiteGenesis"
              },
              "id": "SiteGenesis",
              "inDeletion": false,
              "storefrontStatus": "online"
            }
          ],
          "categoryCount": 66,
          "creationDate": "2019-02-21T22:10:04.000Z",
          "id": "storefront-catalog-en",
          "lastModified": "2019-02-21T22:10:04.000Z",
          "name": {
            "it-IT": "Catalogo dello storefront - IT",
            "default": "Storefront Catalog - EN",
            "fr-FR": "Catalogue de boutique en ligne - FR",
            "zh-CN": "网店目录 - EN",
            "ja-JP": "ストアフロントカタログ - EN"
          },
          "online": true,
          "recommendationCount": 1865,
          "rootCategory": "root"
        },
        {
          "assignedSites": [
            {
              "cartridges": "sitegenesis_storefront_controllers:sitegenesis_storefront_core:plugin_apple_pay:plugin_facebook:plugin_pinterest_commerce:plugin_web_payments:bc_content:core",
              "customerListLink": {
                "customerListId": "SiteGenesis"
              },
              "displayName": {
                "default": "SiteGenesisGlobal"
              },
              "id": "SiteGenesisGlobal",
              "inDeletion": false,
              "storefrontStatus": "online"
            }
          ],
          "categoryCount": 42,
          "creationDate": "2019-02-21T22:10:09.000Z",
          "id": "storefront-catalog-non-en",
          "lastModified": "2019-02-21T22:10:09.000Z",
          "name": {
            "it-IT": "Storefront Catalog - Non-EN",
            "default": "Storefront Catalog - Non-EN",
            "fr-FR": "Catalogue de boutique en ligne - Non - EN",
            "zh-CN": "Storefront Catalog - Non-EN",
            "ja-JP": "ストアフロントカタログ - Non-EN"
          },
          "online": true,
          "recommendationCount": 1865,
          "rootCategory": "root"
        }
      ],
      "query": {
        "termQuery": {
          "fields": [
            "is_storefront_catalog"
          ],
          "operator": "is",
          "values": [
            "true"
          ]
        }
      },
      "offset": 0,
      "total": 3
    }
    ```
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

### POST Search for categories within an organization.

`POST /organizations/{organizationId}/category-search`

Operation ID: `searchCategories`. Security: AmOAuth2 (sfcc.catalogs, sfcc.catalogs.rw).

Search for catalog categories. By default, the server returns the first level of subcategories, but you can specify another level by setting the levels parameter. Subcategories are sorted by category position, then by categoryId. Using a large value for levels can cause performance issues with large and deep category trees.

The query attribute specifies a complex query that can be used to narrow down the search with the following searchable attributes:

| Attribute | Type |
| --- | --- |
| id | String |
| name | String |
| description | String |
| creationDate | DateTime |
| online | Boolean |
| catalogId | String |

The output of the query can also be sorted with the following sortable attributes:

| Attribute | Type |
| --- | --- |
| id | String |
| name | String |
| description | String |
| creationDate | DateTime |
| online | Boolean |
| position | Double |

If no sorting clause is provided, categories are sorted by categoryId. If sorting clause(s) are provided, categoryId is used as a tiebreaker.

#### Parameters

*   `organizationId` (path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).
    
    _Example_
    
    ```
    f_ecom_zzxy_prd
    ```
    
*   `levels` (query, integer (int32)) The level number.  
    Minimum: 0. Example: `1`.

#### Request body (required)

Media type: `application/json`. Schema: `CategorySearchRequest`.

_Example: CategorySearchBody_

```
{
  "query": {
    "termQuery": {
      "fields": [
        "online"
      ],
      "operator": "is",
      "values": [
        "false"
      ]
    }
  }
}
```

#### Responses

*   **200** Categories searched successfully.
    
    Media type: `application/json`. Schema: `CategorySearchResult`.
    
    _Example CategorySearchResultExample: same as POST /organizations/{organizationId}/catalogs/{catalogId}/category-search 200 response._
    
*   **400** Bad Request. Returned when a specified parameter value is unknown.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCategoryFromCatalog400: same as GET /organizations/{organizationId}/catalogs 400 response._
    
*   **401** Unauthorized. Your Client ID is invalid, or you are not allowed to access the content provided by the requested URL.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog401: same as GET /organizations/{organizationId}/catalogs 401 response._
    
*   **404** Requested resource not found.
    
    Media type: `application/problem+json`. Schema: `ErrorResponse`.
    
    _Example getCatalog404: same as GET /organizations/{organizationId}/catalogs/{catalogId} 404 response._
    

## Schemas

### OrganizationId

An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f\_ecom\_' followed by a 4-character [realm identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#realm-id) and a 3-character [instance type identifier](https://developer.salesforce.com/docs/commerce/commerce-api/guide/base-url.html#instance-id).

Type: `string`.

Pattern: ^f\_ecom\_\[a-z\]{4}\_(prd|stg|dev|s\[0-9\]{2}|\[0-9\]{3})$. Example: `f_ecom_zzxy_prd`.

### Catalogs

Catalogs allow categories to be organized into hierarchical structures.

Includes all fields of `PaginatedResultBase`.

*   `data` (_array of Catalog_, required) The collection of catalogs.

### ErrorResponse

*   `title` (_string_, required) A short, human-readable summary of the problem type. It will not change from occurrence to occurrence of the problem, except for purposes of localization  
    Maximum length: 256. Example: `You do not have enough credit`.
*   `type` (_string_, required) A URI reference \[RFC3986\] that identifies the problem type. This specification encourages that, when dereferenced, it provide human-readable documentation for the problem type (e.g., using HTML \[W3C.REC-html5-20141028\]). When this member is not present, its value is assumed to be "about:blank". It accepts relative URIs; this means that they must be resolved relative to the document's base URI, as per \[RFC3986\], Section 5.  
    Maximum length: 2048. Example: `NotEnoughMoney`.
*   `detail` (_string_, required) A human-readable explanation specific to this occurrence of the problem.  
    Example: `Your current balance is 30, but that costs 50`.
*   `instance` (_string_) A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. It accepts relative URIs; this means that they must be resolved relative to the document's base URI, as per \[RFC3986\], Section 5.  
    Maximum length: 2048. Example: `/account/12345/msgs/abc`.

### CatalogId

The ID of the catalog.

Type: `string`.

Minimum length: 1. Maximum length: 256. Example: `apparel-catalog`.

### Catalog

Document representing a catalog.

*   `assignedProductCount` (_integer (int32)_) The count of products assigned to the catalog. It is read only.  
    Example: `20`.
*   `assignedSites` (_array of Site_) The sites assigned to the catalog. It is read only.
*   `categoryCount` (_integer (int32)_) The category count of catalog. It is read only.  
    Example: `10`.
*   `creationDate` (_string (date-time)_) Returns the value of attribute 'creationDate'. It is read only.  
    Maximum length: 30. Example: `253402214400`.
*   `description` (_object_) The description of catalog.
    
    Additional properties: `string`.
    
*   `id` (_CatalogId_, required)
*   `lastModified` (_string (date-time)_) Returns the value of attribute 'lastModified'. It is read only.  
    Maximum length: 30. Example: `253402214400`.
*   `name` (_object_) The catalog name.
    
    Additional properties: `string`.
    
*   `online` (_boolean_) The online status of catalog.  
    Example: `false`.
*   `ownedProductCount` (_integer (int32)_) The count of products owned by the catalog. It is read only.  
    Example: `100`.
*   `recommendationCount` (_integer (int32)_) The recommendation count of the catalog. It is read only.  
    Example: `50`.
*   `rootCategory` (_string_) The root category of the catalog. It is read only.  
    Maximum length: 256. Example: `apparel-master-catalog`.

Additional properties: `any`.

Additional Property Support

[...]
